libosmo-sigtran: include/osmocom/sigtran/sigtran_sap.h File Reference

libosmo-sigtran 2.2.1.95-893c Osmocom SIGTRAN library

Data Structures | Macros | Enumerations | Functions
sigtran_sap.h File Reference
`#include <osmocom/core/prim.h>`
`#include <osmocom/sigtran/osmo_ss7.h>`

Go to the source code of this file.

## Data Structures
struct | osmo_xlm_prim_notify
struct | osmo_xlm_prim_error
struct | osmo_xlm_prim_rk_reg
struct | osmo_xlm_prim_rk_dereg
struct | osmo_xlm_prim

## Macros
#define | NOTIFY_PAR_P_ASP_ID (1 << 0)
#define | NOTIFY_PAR_P_ROUTE_CTX (1 << 1)
#define | msgb_xlm_prim(msg) ((struct osmo_xlm_prim *)(msg)->l1h)

## Enumerations
enum | osmo_sigtran_sap { SCCP_SAP_USER = _SAP_SS7_BASE , XUA_SAP_LM , MTP_SAP_USER }
enum | osmo_xlm_prim_type { OSMO_XLM_PRIM_M_SCTP_ESTABLISH , OSMO_XLM_PRIM_M_SCTP_RELEASE , OSMO_XLM_PRIM_M_SCTP_RESTART , OSMO_XLM_PRIM_M_SCTP_STATUS , OSMO_XLM_PRIM_M_ASP_STATUS , OSMO_XLM_PRIM_M_AS_STATUS , OSMO_XLM_PRIM_M_NOTIFY , OSMO_XLM_PRIM_M_ERROR , OSMO_XLM_PRIM_M_ASP_UP , OSMO_XLM_PRIM_M_ASP_DOWN , OSMO_XLM_PRIM_M_ASP_ACTIVE , OSMO_XLM_PRIM_M_ASP_INACTIVE , OSMO_XLM_PRIM_M_AS_ACTIVE , OSMO_XLM_PRIM_M_AS_INACTIVE , OSMO_XLM_PRIM_M_AS_DOWN , OSMO_XLM_PRIM_M_RK_REG , OSMO_XLM_PRIM_M_RK_DEREG }

## Functions
char * | osmo_xlm_prim_name (struct osmo_prim_hdr *oph)
int | osmo_xlm_sap_down (struct osmo_ss7_asp *asp, struct osmo_prim_hdr *oph)

## Macro Definition Documentation

## ◆ msgb_xlm_prim

#define msgb_xlm_prim | ( |  | msg | ) | ((struct osmo_xlm_prim *)(msg)->l1h)

## ◆ NOTIFY_PAR_P_ASP_ID

#define NOTIFY_PAR_P_ASP_ID (1 << 0)

## ◆ NOTIFY_PAR_P_ROUTE_CTX

#define NOTIFY_PAR_P_ROUTE_CTX (1 << 1)

## Enumeration Type Documentation

## ◆ osmo_sigtran_sap

enum osmo_sigtran_sap

Enumerator
SCCP_SAP_USER |
XUA_SAP_LM |
MTP_SAP_USER |

## ◆ osmo_xlm_prim_type

enum osmo_xlm_prim_type

Enumerator
OSMO_XLM_PRIM_M_SCTP_ESTABLISH |
OSMO_XLM_PRIM_M_SCTP_RELEASE |
OSMO_XLM_PRIM_M_SCTP_RESTART |
OSMO_XLM_PRIM_M_SCTP_STATUS |
OSMO_XLM_PRIM_M_ASP_STATUS |
OSMO_XLM_PRIM_M_AS_STATUS |
OSMO_XLM_PRIM_M_NOTIFY |
OSMO_XLM_PRIM_M_ERROR |
OSMO_XLM_PRIM_M_ASP_UP |
OSMO_XLM_PRIM_M_ASP_DOWN |
OSMO_XLM_PRIM_M_ASP_ACTIVE |
OSMO_XLM_PRIM_M_ASP_INACTIVE |
OSMO_XLM_PRIM_M_AS_ACTIVE |
OSMO_XLM_PRIM_M_AS_INACTIVE |
OSMO_XLM_PRIM_M_AS_DOWN |
OSMO_XLM_PRIM_M_RK_REG |
OSMO_XLM_PRIM_M_RK_DEREG |

## Function Documentation

## ◆ osmo_xlm_prim_name()

char * osmo_xlm_prim_name | ( | struct osmo_prim_hdr * | oph | ) |

References osmo_xlm_prim_names, and prim_name_buf.

Referenced by default_lm_prim_cb(), osmo_xlm_sap_down(), and xua_asp_send_xlm_prim().

## ◆ osmo_xlm_sap_down()

int osmo_xlm_sap_down | ( | struct osmo_ss7_asp * | asp,
|  | struct osmo_prim_hdr * | oph
| ) |  |

References osmo_ss7_asp::fi, osmo_xlm_prim_rk_reg::key, LOGPASP, NULL, osmo_xlm_prim::oph, OSMO_XLM_PRIM_M_ASP_ACTIVE, OSMO_XLM_PRIM_M_ASP_UP, OSMO_XLM_PRIM_M_RK_DEREG, OSMO_XLM_PRIM_M_RK_REG, OSMO_XLM_PRIM_M_SCTP_RELEASE, osmo_xlm_prim_name(), osmo_xlm_prim::rk_dereg, osmo_xlm_prim::rk_reg, osmo_xlm_prim_rk_dereg::route_ctx, ss7_asp_disconnect_stream(), osmo_xlm_prim_rk_reg::traf_mode, osmo_xlm_prim::u, XUA_ASP_E_M_ASP_ACTIVE_REQ, XUA_ASP_E_M_ASP_UP_REQ, xua_rkm_send_dereg_req(), and xua_rkm_send_reg_req().

Referenced by reg_req_all_assoc_as(), and xlm_sap_down_simple().